﻿using Infragistics.Documents.Reports.Report;
using Infragistics.Win.DataVisualization;
using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;

namespace UDC_Stacked_Column_Series
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.button1.Text = "Export chart to pdf";
            this.button1.Click += Button_Click;
           
            EnergyDataSource dataSample = new EnergyDataSource();
             NumericYAxis yAxis = new NumericYAxis();
             CategoryXAxis xAxis = new CategoryXAxis();
             xAxis.DataSource = dataSample;
             xAxis.Label = "Country";
             xAxis.Label = "{Country}";

             yAxis.MaximumValue = 1900;

             this.ultraDataChart1.Axes.Add(xAxis);
             this.ultraDataChart1.Axes.Add(yAxis);

             // create a stack fragment for each numeric column in your data
             StackedFragmentSeries seriesFragment = new StackedFragmentSeries();
             seriesFragment.ValueMemberPath = "Coal";
             seriesFragment.Title = "Coal";

             StackedFragmentSeries seriesFragment2 = new StackedFragmentSeries();
             seriesFragment2.ValueMemberPath = "Oil";
             seriesFragment2.Title = "Oil";

             StackedFragmentSeries seriesFragment3 = new StackedFragmentSeries();
             seriesFragment3.ValueMemberPath = "Gas";
             seriesFragment3.Title = "Gas";

             StackedColumnSeries series = new StackedColumnSeries();
             series.DataSource = dataSample;
             series.XAxis = xAxis;
             series.YAxis = yAxis;
             // add all stack fragments to the series
             series.Series.Add(seriesFragment);
             series.Series.Add(seriesFragment2);
             series.Series.Add(seriesFragment3);

             //series.ShowDefaultTooltip = true;

             this.ultraDataChart1.Series.Add(series);
        }

        private void Button_Click(object sender, EventArgs e)
        {
            this.ultraDataChart1.SaveTo("chart.jpeg", System.Drawing.Imaging.ImageFormat.Jpeg);
            Infragistics.Documents.Reports.Report.Report report = new Infragistics.Documents.Reports.Report.Report();
            string myDocuments = System.Environment.GetFolderPath(System.Environment.SpecialFolder.MyDocuments);
            Infragistics.Documents.Reports.Report.Section.ISection section1 = report.AddSection();
            section1.PagePaddings.Left = 50;
            section1.PagePaddings.Right = 50;
            section1.AddQuickImage(new Infragistics.Documents.Reports.Graphics.Image(Application.StartupPath + @"\chart.jpeg"));
            // The Process.Start method runs the specified file
            // using the application registered to run that file.
            report.Publish(myDocuments + "\\Report.pdf", FileFormat.PDF);
            System.Diagnostics.Process.Start(myDocuments + "\\Report.pdf");
        }
    }

}
